
Name:	 kdocker
Summary: Dock any application in the system tray
Version: 1.3
Release: 6%{?dist}

Group:   User Interface/Desktops
License: GPL
URL:	 http://kdocker.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/kdocker/kdocker-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: kdocker-1.3-paths.patch 

BuildRequires: desktop-file-utils
BuildRequires: qt-devel >= 1:3.3
%if "%{?fedora}" > "4"
BuildRequires: libXmu-devel
BuildRequires: libXpm-devel
%endif

%description
KDocker will help you dock any application in the system tray. This means you
can dock openoffice, xmms, firefox, thunderbolt, eclipse, anything! Just point
and click. Works for both KDE and GNOME (In fact it should work for most modern
window managers that support NET WM Specification. I believe it works for XFCE,
for instance)

All you need to do is start KDocker and select an application using the mouse
and lo! the application gets docked into the system tray. The application can 
also be made to dissappear from the task bar.

KDocker supports the KDE System Tray Protocol and the System Tray Protocol from
freedesktop.org

Very few apps have docking capabilities (e.g. Yahoo! and XMMS don't have any). 
Even if they do, sometimes they are specific to desktops (working on KDE but 
not on GNOME, and vice versa). KDocker will help you dock any application in 
the system tray. This means you can dock OpenOffice.org, XMMS, Firefox, 
Thunderbird, etc. Just point and click. It works for KDE, GNOME, XFCE, and 
probably many more.


%prep
%setup -q -n kdocker 

%patch1 -p1 -b .paths


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

qmake 

# Not smp safe
make 


%install
rm -rf $RPM_BUILD_ROOT

unset QTDIR || : ; . /etc/profile.d/qt.sh

qmake DESTDIR=$RPM_BUILD_ROOT 
sed -i -e '/^\s*-\?strip /d' Makefile # naughty qmake

make install 

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category="X-Fedora" --vendor="" \
  --add-category="Qt" \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# remove dup'd docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/kdocker/docs
ln -s %{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/kdocker/docs

# %lang'ify i18n bits
echo "%dir %{_datadir}/kdocker/i18n/" >> %{name}.lang
for lang_bit in $RPM_BUILD_ROOT%{_datadir}/kdocker/i18n/*.qm ; do
  if [ -f $lang_bit ]; then
    lang_file=$(basename $lang_bit)
    lang=$(echo $lang_file .qm | cut -d_ -f2)
    echo "%lang($lang) %{_datadir}/kdocker/i18n/$lang_file" >> %{name}.lang
  fi
done


%clean
rm -rf $RPM_BUILD_ROOT 


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING CREDITS ChangeLog HACKING README TODO VERSION
%{_bindir}/*
%dir %{_datadir}/kdocker/
%{_datadir}/kdocker/docs
%{_datadir}/kdocker/icons/
%{_datadir}/applications/*.desktop


%changelog 
* Fri Apr 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-6
- --vendor=""

* Fri Mar 10 2006 Rex Dieter <rexdieer[AT]users.sf.net> 1.3-5
- build failure, useless -debuginfo (#180103)

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net> 
- fc5: gcc/glibc respin

* Sat Jan 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-4
- .desktop: fix path to app-icon (#178531)

* Tue Nov 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-3
- remove dup'd docs
- %%lang'ify i18n bits

* Mon Oct 31 2005 Rex Dieter 1.3-2
- use desktop-file-install 

* Mon Oct 31 2005 Rex Dieter 1.3-1
- cleanup for Extras

* Tue Feb 15 2005 Rex Dieter 1.3-0.1
- 1.3 (first try)
